Package com.google.gwt.aria.client

## Class TreegridRoleImpl

- java.lang.Object
- - com.google.gwt.aria.client.RoleImpl
  - - com.google.gwt.aria.client.TreegridRoleImpl

- All Implemented Interfaces:
    `CompositeRole`, `GridRole`, `GroupRole`, `InputRole`, `RegionRole`, `Role`, `SectionRole`, `SelectRole`, `StructureRole`, `TreegridRole`, `TreeRole`, `WidgetRole`

      class TreegridRoleImpl
      extends RoleImpl
      implements TreegridRole

  Implements `TreegridRole`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreegridRoleImpl​(java.lang.String roleName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAriaActivedescendantProperty​(Element element)` | Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaExpandedState​(Element element)` | Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaLevelProperty​(Element element)` | Returns the value of the aria-level attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaMultiselectableProperty​(Element element)` | Returns the value of the aria-multiselectable attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaReadonlyProperty​(Element element)` | Returns the value of the aria-readonly attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaRequiredProperty​(Element element)` | Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaActivedescendantProperty​(Element element)` | Removes the aria-activedescendant attribute from the `element`.
    `void` | `removeAriaExpandedState​(Element element)` | Removes the aria-expanded attribute from the `element`.
    `void` | `removeAriaLevelProperty​(Element element)` | Removes the aria-level attribute from the `element`.
    `void` | `removeAriaMultiselectableProperty​(Element element)` | Removes the aria-multiselectable attribute from the `element`.
    `void` | `removeAriaReadonlyProperty​(Element element)` | Removes the aria-readonly attribute from the `element`.
    `void` | `removeAriaRequiredProperty​(Element element)` | Removes the aria-required attribute from the `element`.
    `void` | `setAriaActivedescendantProperty​(Element element, Id value)` | Sets the aria-activedescendant attribute for the `element` to the given `value`.
    `void` | `setAriaExpandedState​(Element element, ExpandedValue value)` | Sets the aria-expanded attribute for the `element` to the given `value`.
    `void` | `setAriaLevelProperty​(Element element, int value)` | Sets the aria-level attribute for the `element` to the given `value`.
    `void` | `setAriaMultiselectableProperty​(Element element, boolean value)` | Sets the aria-multiselectable attribute for the `element` to the given `value`.
    `void` | `setAriaReadonlyProperty​(Element element, boolean value)` | Sets the aria-readonly attribute for the `element` to the given `value`.
    `void` | `setAriaRequiredProperty​(Element element, boolean value)` | Sets the aria-required attribute for the `element` to the given `value`.

    - ### Methods inherited from class com.google.gwt.aria.client.RoleImpl

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Constructor Detail

    - #### TreegridRoleImpl

          TreegridRoleImpl​(java.lang.String roleName)

  - ### Method Detail

    - #### getAriaActivedescendantProperty

          public java.lang.String getAriaActivedescendantProperty​(Element element)

      Description copied from interface: `CompositeRole`
      Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaActivedescendantProperty` in interface `CompositeRole`
      Specified by:
        `getAriaActivedescendantProperty` in interface `GroupRole`

    - #### getAriaExpandedState

          public java.lang.String getAriaExpandedState​(Element element)

      Description copied from interface: `SectionRole`
      Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaExpandedState` in interface `SectionRole`

    - #### getAriaLevelProperty

          public java.lang.String getAriaLevelProperty​(Element element)

      Description copied from interface: `GridRole`
      Returns the value of the aria-level attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaLevelProperty` in interface `GridRole`

    - #### getAriaMultiselectableProperty

          public java.lang.String getAriaMultiselectableProperty​(Element element)

      Description copied from interface: `GridRole`
      Returns the value of the aria-multiselectable attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaMultiselectableProperty` in interface `GridRole`
      Specified by:
        `getAriaMultiselectableProperty` in interface `TreeRole`

    - #### getAriaReadonlyProperty

          public java.lang.String getAriaReadonlyProperty​(Element element)

      Description copied from interface: `GridRole`
      Returns the value of the aria-readonly attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaReadonlyProperty` in interface `GridRole`

    - #### getAriaRequiredProperty

          public java.lang.String getAriaRequiredProperty​(Element element)

      Description copied from interface: `TreeRole`
      Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaRequiredProperty` in interface `TreeRole`

    - #### removeAriaActivedescendantProperty

          public void removeAriaActivedescendantProperty​(Element element)

      Description copied from interface: `CompositeRole`
      Removes the aria-activedescendant attribute from the `element`.
      Specified by:
        `removeAriaActivedescendantProperty` in interface `CompositeRole`
      Specified by:
        `removeAriaActivedescendantProperty` in interface `GroupRole`

    - #### removeAriaExpandedState

          public void removeAriaExpandedState​(Element element)

      Description copied from interface: `SectionRole`
      Removes the aria-expanded attribute from the `element`.
      Specified by:
        `removeAriaExpandedState` in interface `SectionRole`

    - #### removeAriaLevelProperty

          public void removeAriaLevelProperty​(Element element)

      Description copied from interface: `GridRole`
      Removes the aria-level attribute from the `element`.
      Specified by:
        `removeAriaLevelProperty` in interface `GridRole`

    - #### removeAriaMultiselectableProperty

          public void removeAriaMultiselectableProperty​(Element element)

      Description copied from interface: `GridRole`
      Removes the aria-multiselectable attribute from the `element`.
      Specified by:
        `removeAriaMultiselectableProperty` in interface `GridRole`
      Specified by:
        `removeAriaMultiselectableProperty` in interface `TreeRole`

    - #### removeAriaReadonlyProperty

          public void removeAriaReadonlyProperty​(Element element)

      Description copied from interface: `GridRole`
      Removes the aria-readonly attribute from the `element`.
      Specified by:
        `removeAriaReadonlyProperty` in interface `GridRole`

    - #### removeAriaRequiredProperty

          public void removeAriaRequiredProperty​(Element element)

      Description copied from interface: `TreeRole`
      Removes the aria-required attribute from the `element`.
      Specified by:
        `removeAriaRequiredProperty` in interface `TreeRole`

    - #### setAriaActivedescendantProperty

          public void setAriaActivedescendantProperty​(Element element,
                                                      Id value)

      Description copied from interface: `CompositeRole`
      Sets the aria-activedescendant attribute for the `element` to the given `value`.
      Specified by:
        `setAriaActivedescendantProperty` in interface `CompositeRole`
      Specified by:
        `setAriaActivedescendantProperty` in interface `GroupRole`

    - #### setAriaExpandedState

          public void setAriaExpandedState​(Element element,
                                           ExpandedValue value)

      Description copied from interface: `SectionRole`
      Sets the aria-expanded attribute for the `element` to the given `value`.
      Specified by:
        `setAriaExpandedState` in interface `SectionRole`

    - #### setAriaLevelProperty

          public void setAriaLevelProperty​(Element element,
                                           int value)

      Description copied from interface: `GridRole`
      Sets the aria-level attribute for the `element` to the given `value`.
      Specified by:
        `setAriaLevelProperty` in interface `GridRole`

    - #### setAriaMultiselectableProperty

          public void setAriaMultiselectableProperty​(Element element,
                                                     boolean value)

      Description copied from interface: `GridRole`
      Sets the aria-multiselectable attribute for the `element` to the given `value`.
      Specified by:
        `setAriaMultiselectableProperty` in interface `GridRole`
      Specified by:
        `setAriaMultiselectableProperty` in interface `TreeRole`

    - #### setAriaReadonlyProperty

          public void setAriaReadonlyProperty​(Element element,
                                              boolean value)

      Description copied from interface: `GridRole`
      Sets the aria-readonly attribute for the `element` to the given `value`.
      Specified by:
        `setAriaReadonlyProperty` in interface `GridRole`

    - #### setAriaRequiredProperty

          public void setAriaRequiredProperty​(Element element,
                                              boolean value)

      Description copied from interface: `TreeRole`
      Sets the aria-required attribute for the `element` to the given `value`.
      Specified by:
        `setAriaRequiredProperty` in interface `TreeRole`